# Interface IModalDialogComponent

interface IModalDialogComponent {
addChild(component): void;
addClass(...classesToAdd): void;
blur(): void;
close(): void;
dispose(): void;
empty(): void;
fill(): void;
focus(): void;
getAllChildren(): UiComponent[];
getAttribute(attribute): null | string;
getChild(child): null | UiComponent;
getComponentName(): string;
getComputedHeight(): number;
getComputedWidth(): number;
getContent(): null | ModalContent;
getDOMElement(): null | Element;
getDescription(): string;
getHeight(): number;
getIsCloseable(): boolean;
getLabel(): string;
getWidth(): number;
hasClass(value): boolean;
hide(): void;
isOpen(): boolean;
open(): void;
removeAttribute(attribute): void;
removeChild(child): void;
removeClass(...classesToRemove): void;
setAttribute(attribute, value): void;
setContent(value): void;
setHeight(value): void;
setIsCloseable(value): void;
setWidth(value): void;
show(): void;
}

#### Hierarchy (view full)

- UiComponent
  - IModalDialogComponent

#####
Index

### Methods

addChild
addClass
blur
close
dispose
empty
fill
focus
getAllChildren
getAttribute
getChild
getComponentName
getComputedHeight
getComputedWidth
getContent
getDOMElement
getDescription
getHeight
getIsCloseable
getLabel
getWidth
hasClass
hide
isOpen
open
removeAttribute
removeChild
removeClass
setAttribute
setContent
setHeight
setIsCloseable
setWidth
show

## Methods

### addChild

- addChild(component): void

- #### Parameters

  - component: UiComponent

  #### Returns void

  Inherited from UiComponent.addChild

### addClass

- addClass(...classesToAdd): void

- #### Parameters

  - `Rest` ...classesToAdd: string[]

  #### Returns void

  Inherited from UiComponent.addClass

### blur

- blur(): void

- #### Returns void

  Inherited from UiComponent.blur

### close

- close(): void

- #### Returns void

### dispose

- dispose(): void

- #### Returns void

  Inherited from UiComponent.dispose

### empty

- empty(): void

- #### Returns void

### fill

- fill(): void

- #### Returns void

### focus

- focus(): void

- #### Returns void

  Inherited from UiComponent.focus

### getAllChildren

- getAllChildren(): UiComponent[]

- #### Returns UiComponent[]

  Inherited from UiComponent.getAllChildren

### getAttribute

- getAttribute(attribute): null | string

- #### Parameters

  - attribute: string

  #### Returns null | string

  Inherited from UiComponent.getAttribute

### getChild

- getChild(child): null | UiComponent

- #### Parameters

  - child: string

  #### Returns null | UiComponent

  Inherited from UiComponent.getChild

### getComponentName

- getComponentName(): string

- #### Returns string

  Inherited from UiComponent.getComponentName

### getComputedHeight

- getComputedHeight(): number

- #### Returns number

  Inherited from UiComponent.getComputedHeight

### getComputedWidth

- getComputedWidth(): number

- #### Returns number

  Inherited from UiComponent.getComputedWidth

### getContent

- getContent(): null | ModalContent

- #### Returns null | ModalContent

### getDOMElement

- getDOMElement(): null | Element

- #### Returns null | Element

  Inherited from UiComponent.getDOMElement

### getDescription

- getDescription(): string

- #### Returns string

### getHeight

- getHeight(): number

- #### Returns number

  Inherited from UiComponent.getHeight

### getIsCloseable

- getIsCloseable(): boolean

- #### Returns boolean

### getLabel

- getLabel(): string

- #### Returns string

### getWidth

- getWidth(): number

- #### Returns number

  Inherited from UiComponent.getWidth

### hasClass

- hasClass(value): boolean

- #### Parameters

  - value: string

  #### Returns boolean

  Inherited from UiComponent.hasClass

### hide

- hide(): void

- #### Returns void

  Inherited from UiComponent.hide

### isOpen

- isOpen(): boolean

- #### Returns boolean

### open

- open(): void

- #### Returns void

### removeAttribute

- removeAttribute(attribute): void

- #### Parameters

  - attribute: string

  #### Returns void

  Inherited from UiComponent.removeAttribute

### removeChild

- removeChild(child): void

- #### Parameters

  - child: string

  #### Returns void

  Inherited from UiComponent.removeChild

### removeClass

- removeClass(...classesToRemove): void

- #### Parameters

  - `Rest` ...classesToRemove: string[]

  #### Returns void

  Inherited from UiComponent.removeClass

### setAttribute

- setAttribute(attribute, value): void

- #### Parameters

  - attribute: string
  - value: string

  #### Returns void

  Inherited from UiComponent.setAttribute

### setContent

- setContent(value): void

- #### Parameters

  - value: ModalContent

  #### Returns void

### setHeight

- setHeight(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from UiComponent.setHeight

### setIsCloseable

- setIsCloseable(value): void

- #### Parameters

  - value: boolean

  #### Returns void

### setWidth

- setWidth(value): void

- #### Parameters

  - value: number

  #### Returns void

  Inherited from UiComponent.setWidth

### show

- show(): void

- #### Returns void

  Inherited from UiComponent.show